-- ==========================================
-- 작업일자: 2026-07-08 
-- 작 성 자: 류호성
-- 작업목적: [한라산업 인트라넷 전자결재 중 근태신청서에 대해 검토부서 결재자 잘못 지정하여 접수상태로 변경하기 위함이다.]
-- 요청자/티켓번호: [서경아차장 / 요청번호 : 5996번]
-- 데이타베이스 : MY-SQL
-- 참고 : 접수자가 잘못 결재자 지정시 접수상태로 되돌리는 기능이 필요할까?
-- ==========================================

-- [0] 전자결재 문서 양식 조회하기 
SELECT * FROM systemconfig_tbl WHERE SysKey = 'bizform'

-- [1] 전자결재정보에서 근태신청서 양식번호와 요청일자로 요청 문건 찾기 
SELECT * FROM sanctiondoc_tbl WHERE FormNum = 'HLF-1-1' AND rg_date = '2026-07-08' 

-- [2] 전자결재정보에서 접수상태로 수정하기 / 동일 처리건의 공통점을 찾아서 기능 추가에 대한 부분은 검토가 필요합니다.
SELECT * FROM sanctiondoc_tbl WHERE docsn = '2026-14726-HM00112'
/*
UPDATE 
    sanctiondoc_tbl 
SET 
     pg_date = '0000-00-00'                                    -- 접수일
    , rt_sanction=':::HM00112-부서장:RECEIVE'                   -- 결재선정보
    , rt_sanctionstate = '5:RECEIVE:HM00112-부서장:2026-07-08'  -- 결재진행상태
    , finishmemberno = 'HM00112-부서장,2026-07-08:'             -- 결재한 사람 정보
WHERE 
    docsn = '2026-14726-HM00112'
*/

-- [3] 전자결재의 결재내역정보에서 접수상태 이후의 결재내역 삭제하기 
SELECT * FROM sanctionstate_tbl WHERE docsn = '2026-14726-HM00112'
SELECT * FROM sanctionstate_tbl WHERE docsn = '2026-14726-HM00112' AND memberno LIKE 'HF00442%'
/* 
-- 접수자의 결재내역은 삭제처리함.
DELETE FROM 
    sanctionstate_tbl 
WHERE 
    docsn = '2026-14726-HM00112' AND memberno LIKE 'HF00442%'
*/
